aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Mike Kelly <pioto@pioto.org> 2008-01-09 20:33:36 +0000
committerAvatar Mike Kelly <pioto@pioto.org> 2008-01-09 20:33:36 +0000
commitac1e81ac67c330c94f482764ead12cbebe73e9e3 (patch)
tree60d1d2f8c93a5c2f61835b418759fd226584ed9a
parent2e12e47bb3b2161198798e1c4b773364ba158502 (diff)
downloadpaludis-ac1e81ac67c330c94f482764ead12cbebe73e9e3.tar.gz
paludis-ac1e81ac67c330c94f482764ead12cbebe73e9e3.tar.xz
Clean up Manifest2 tests a bit.
-rw-r--r--paludis/repositories/e/e_repository_TEST.cc4
-rwxr-xr-xpaludis/repositories/e/e_repository_TEST_setup.sh12
2 files changed, 15 insertions, 1 deletions
diff --git a/paludis/repositories/e/e_repository_TEST.cc b/paludis/repositories/e/e_repository_TEST.cc
index 389dfe4..0fe1f6d 100644
--- a/paludis/repositories/e/e_repository_TEST.cc
+++ b/paludis/repositories/e/e_repository_TEST.cc
@@ -18,6 +18,7 @@
*/
#include <paludis/repositories/e/e_repository.hh>
+#include <paludis/repositories/e/e_repository_exceptions.hh>
#include <paludis/repositories/e/e_repository_id.hh>
#include <paludis/repositories/e/make_ebuild_repository.hh>
#include <paludis/repositories/e/eapi.hh>
@@ -882,6 +883,8 @@ namespace test_cases
reference_manifest.insert(line);
TEST_CHECK(made_manifest == reference_manifest);
+
+ TEST_CHECK_THROWS(repo->make_manifest(QualifiedPackageName("category/package-b")), ERepositoryConfigurationError);
}
} test_e_repository_manifest;
@@ -1025,6 +1028,7 @@ namespace test_cases
PackageDepSpec(parse_user_package_dep_spec("category/package",
UserPackageDepSpecOptions()))), qo_order_by_version)->last());
TEST_CHECK(id);
+ repo->make_manifest(id->name());
id->perform_action(action);
}
} test_e_repository_manifest_check;
diff --git a/paludis/repositories/e/e_repository_TEST_setup.sh b/paludis/repositories/e/e_repository_TEST_setup.sh
index c0dd251..864d127 100755
--- a/paludis/repositories/e/e_repository_TEST_setup.sh
+++ b/paludis/repositories/e/e_repository_TEST_setup.sh
@@ -331,7 +331,7 @@ END
cd ..
mkdir -p repo11/{eclass,distfiles,profiles/profile} || exit 1
-mkdir -p repo11/category/package/files || exit 1
+mkdir -p repo11/category/package{,-b}/files || exit 1
cd repo11 || exit 1
echo "test-repo-11" >> profiles/repo_name || exit 1
echo "category" >> profiles/categories || exit 1
@@ -378,6 +378,16 @@ EBUILD package-2.ebuild 134 RMD160 d8149a3828ea05849c7033c431d3df5c6eaab67d SHA2
MISC ChangeLog 34 RMD160 64ae4731e1de8dc8d81f0504c22e586358a5b6f0 SHA256 a8dfbbc187c93c0731fa9722aff87c437a4b9f59b1786d62651fb104b0c3ed97
MISC metadata.xml 37 RMD160 52a6de8e54eeea3b5e3e8357a400fbc6d3f4062b SHA256 ba3b181b832c002612fba7768c95e526e188658d8fc85b92c153940ad43169de
END
+cat <<END > category/package-b/package-b-1.ebuild || exit 1
+DESCRIPTION="The Description"
+HOMEPAGE="http://example.com/"
+SRC_URI="fooz"
+SLOT="0"
+IUSE=""
+LICENSE="GPL-2"
+KEYWORDS="test"
+DEPEND=""
+END
cd ..
mkdir -p repo12/{profiles/profile,metadata} || exit 1